#!/usr/bin/env bash

# Extend sed strings to handle the player class menu
sedStrings+=('-e' 's/^Playerclassmenu$/Player class menu/')
# Set up the pk3 and wad files 
gameOption=(
    "${gamePath}/TobyAccMod_V${tobyVersion}.pk3"
    "$gamePath/Addons/MENU/TobyV${tobyVersion%%-*}_"*
    "${gamePath}/OpMDK.wad"
    "${gamePath}/Xim-StarWars-v3.1.5.pk3"
    "$gamePath/Addons/STARWARS/"*
)

# Check for and include if present a wad. Some people may not have it.
if [[ -e "${gamePath}/DoomMetalVol7.wad" ]]; then
    gameOption+=("${gamePath}/DoomMetalVol7.wad")
elif [[ -e "${gamePath}/DoomMetalVol6.wad" ]]; then
    gameOption+=("${gamePath}/DoomMetalVol6.wad")
fi
